Package org.gradle.tooling.events.task.java

## Interface JavaCompileTaskOperationResult.AnnotationProcessorResult

- Enclosing interface:
    JavaCompileTaskOperationResult

      public static interface JavaCompileTaskOperationResult.AnnotationProcessorResult

  The results of an annotation processor used during compilation.
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `JavaCompileTaskOperationResult.AnnotationProcessorResult.Type` | Type of annotation processor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassName()` | Returns the fully-qualified class name of this annotation processor.
    `java.time.Duration` | `getDuration()` | Returns the total execution time of this annotation processor.
    `JavaCompileTaskOperationResult.AnnotationProcessorResult.Type` | `getType()` | Returns the type of this annotation processor.

- - ### Method Detail

    - #### getClassName

          java.lang.String getClassName()

      Returns the fully-qualified class name of this annotation processor.

    - #### getType

          JavaCompileTaskOperationResult.AnnotationProcessorResult.Type getType()

      Returns the type of this annotation processor.

      Can be used to determine whether this processor was incremental.

    - #### getDuration

          java.time.Duration getDuration()

      Returns the total execution time of this annotation processor.